import { HttpModule } from '@nestjs/axios'
import { Module } from '@nestjs/common'

import { AgentServerController } from './agent-server.controller'
import { AgentServerService } from './agent-server.service'

@Module({
  imports: [
    HttpModule.register({
      timeout: 1000,
      maxRedirects: 3
    })
  ],
  controllers: [AgentServerController],
  providers: [AgentServerService]
})
export class AgentServerModule {}
